summaryrefslogtreecommitdiff
path: root/debian/tests
diff options
context:
space:
mode:
authorPicca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>2018-08-03 13:58:11 +0200
committerPicca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>2018-08-03 14:08:43 +0200
commit530cfffd5c0abccadb0d875d5561a9f0e425c298 (patch)
tree701845495bff5aa1de38913624fee2401318d03d /debian/tests
parent302d3bcf3ef555284ce1bcf5cd7cd371addfa608 (diff)
Added AutoPkgTests
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control11
-rwxr-xr-xdebian/tests/python214
-rwxr-xr-xdebian/tests/python2-dbg14
-rwxr-xr-xdebian/tests/python314
-rwxr-xr-xdebian/tests/python3-dbg14
5 files changed, 67 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..b1a8732
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,11 @@
+Tests: python2
+Depends: python-silx, python-all
+
+Tests: python2-dbg
+Depends: python-silx-dbg, python-all-dbg
+
+Tests: python3
+Depends: python3-silx, pyfai, python3-all
+
+Tests: python3-dbg
+Depends: python3-silx-dbg, python3-all-dbg \ No newline at end of file
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..31e3d64
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+export LC_ALL=C.UTF-8
+
+pys="$(pyversions -rv 2> /dev/null)"
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+for py in $pys; do
+ echo "=== python$py ==="
+ python$py -m unittest discover silx/test/ 2>&1
+done
diff --git a/debian/tests/python2-dbg b/debian/tests/python2-dbg
new file mode 100755
index 0000000..f43398e
--- /dev/null
+++ b/debian/tests/python2-dbg
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+export LC_ALL=C.UTF-8
+
+pys="$(pyversions -rv 2> /dev/null)"
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+for py in $pys; do
+ echo "=== python$py ==="
+ python$py-dbg -m unittest discover silx/test/ 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..51858b8
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+export LC_ALL=C.UTF-8
+
+pys="$(py3versions -rv 2> /dev/null)"
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+for py in $pys; do
+ echo "=== python$py ==="
+ python$py -m unittest discover silx/test/ 2>&1
+done
diff --git a/debian/tests/python3-dbg b/debian/tests/python3-dbg
new file mode 100755
index 0000000..d9c1208
--- /dev/null
+++ b/debian/tests/python3-dbg
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+export LC_ALL=C.UTF-8
+
+pys="$(py3versions -rv 2> /dev/null)"
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+for py in $pys; do
+ echo "=== python$py ==="
+ python$py-dbg -m unittest discover silx/test/ 2>&1
+done